#include "app_inc.h"    //应用任务公共头文件

//===========================================================================
//任务名称：task_A
//功能概要：红灯每2秒亮1秒
//参数说明：未使用
//===========================================================================
void task_A(uint_32 initial)
{	
	while (TRUE)
	{
		uart_send_string(UART_1,"task_A---红灯亮---\n");
		light_control(LIGHT_PORT, LIGHT_PIN_RED,LIGHT_ON);
		_time_delay_ticks(DELAY_TIMES);    //延时DELAY_TIMES(放弃CPU控制权)
		light_control(LIGHT_PORT, LIGHT_PIN_RED,LIGHT_OFF);
		_time_delay_ticks(DELAY_TIMES*2);
	}
}
